﻿using System;
using System.Collections.Generic;
using System.Windows.Forms;
using Telerik.WinControls.UI;
using Telerik.Charting;

namespace VoltageSystemLiveChart
{
    public partial class Form1 : Form
    {
        LineSeries series;
        Random r = new Random();
        List<CategoricalDataPoint> dataSeconds;

        public Form1()
        {
            InitializeComponent();
        }

        private void Form1_Load(object sender, EventArgs e)
        {
            series = new LineSeries();
            dataSeconds = new List<CategoricalDataPoint>();
            this.radChartView1.Series.Add(series);
        }

        private void timer1_Tick(object sender, EventArgs e)
        {
            dataSeconds.Add(new CategoricalDataPoint(r.NextDouble() * 10, DateTime.Now.Millisecond));
        }

        private void timer2_Tick(object sender, EventArgs e)
        {
            while (series.DataPoints.Count > 150)
            {
                series.DataPoints.RemoveAt(0);
            }
            foreach (var item in dataSeconds)
            {
                series.DataPoints.Add(item);
            }
            dataSeconds.Clear();
        }
    }
}
